Summary:	A high quality TV viewer
Summary(pl.UTF-8):	Program do oglądania TV w wysokiej jakości
Name:		tvtime
Version:	1.0.2
Release:	11
License:	GPL
Group:		Applications/Multimedia
Source0:	http://downloads.sourceforge.net/tvtime/%{name}-%{version}.tar.gz
# Source0-md5:	4b3d03afe61be239b08b5e522cd8afed
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-gcc.patch
Patch2:		%{name}-def_user.patch
Patch3:		%{name}-autodetect_textured_overlay.patch
Patch4:		%{name}-libpng-1.5.patch
Patch5:		%{name}-format.patch
URL:		http://tvtime.sourceforge.net/
BuildRequires:	automake
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	zlib-devel
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
tvtime is a high quality television application for use with video
capture cards. tvtime processes the input from a capture card and
displays it on a computer monitor or projector. Unlike other
television applications, tvtime focuses on high visual quality making
it ideal for videophiles.

%description -l pl.UTF-8
tvtime to aplikacja do wysokiej jakości telewizji przeznaczona do
używania z kartami przechwytującymi obraz. tvtime przetwarza wejście z
karty i wyświetla je na monitorze lub projektorze komputerowym. W
przeciwieństwie do innych aplikacji telewizyjnych tvtime skupia się na
wysokiej jakości obrazu, co czyni go idealnym dla wideofili.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--disable-dependency-tracking
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* data/COPYING.* docs/html
%attr(755,root,root) %{_bindir}/tvtime
%attr(755,root,root) %{_bindir}/tvtime-command
%attr(755,root,root) %{_bindir}/tvtime-configure
%attr(755,root,root) %{_bindir}/tvtime-scanner
%dir %{_sysconfdir}/tvtime
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/tvtime/*.xml
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/apps/tvtime.png
%{_pixmapsdir}/*
%{_datadir}/tvtime
%{_mandir}/man?/*
%lang(de) %{_mandir}/de/man?/*
%lang(es) %{_mandir}/es/man?/*
%changelog
* Sun Nov 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tvtime.git;a=log;h=master

* Sun Nov 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a4801a
- rel 11; build fixed

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d75c27
- release 10 (by relup.sh)

* Fri Feb 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f44c48
- rel 9; libpng fix

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 76d84e9
- release 7

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 8278444
- dropped pre-cvs changelog

* Sat Mar 06 2010 Paweł Sikora <pluto@pld-linux.org> df18dc2
- textured overlay autodetection fixed, release 6.

* Sat Mar 06 2010 Paweł Sikora <pluto@pld-linux.org> eb665d7
- match adaptor name instead of tricky and not always correct port attribute.

* Fri Jan 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 649f218
- release 5

* Wed Jan 20 2010 Paweł Sikora <pluto@pld-linux.org> e0a262f
- autodetect textured overlay, release 4.
  (tested on xorg-driver-video-ati + EXA enabled + kde4 compositing enabled).

* Wed Jan 20 2010 Paweł Sikora <pluto@pld-linux.org> cedec2f
- check for presence of textured overlay and use if not grabbed.

* Wed Jan 20 2010 Paweł Sikora <pluto@pld-linux.org> aec146f
- fix local 'locale_t' definition with this one from /usr/include/xlocale.h.

* Mon Jun 16 2008 Karol Krenski <charles@pld-linux.org> 7cd0df6
- more xorg-* BRs

* Mon Jul 09 2007 Bartłomiej Zimoń <cactus@pld-linux.org> 7900aef
- don't need __user, now tvtime works

* Wed May 30 2007 shadzik <shadzik@pld-linux.org> 46d91c8
- fix build by adding -def_user.patch
- rel 3

* Wed May 30 2007 shadzik <shadzik@pld-linux.org> 0676a89
- define  __user (missing from non-existent compiler.h)

* Fri Feb 16 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 908ad6f
- rel 2; fix gcc 4 build

* Fri Feb 16 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2009a59
- new

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> faeea06
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f8e49bc
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 59a58d0
- orphaned, outdated

